明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1866|回复: 4

(求助)vba编程的问题,请大家帮我

[复制链接]
发表于 2006-3-19 14:45:00 | 显示全部楼层 |阅读模式
采用VBA输出的图纸,为什么尺寸界线在折线段上时会节节升高,数个垂直线的尺寸界线会集中到一起?C:\Documents and Settings\Administrator\My Documents\My Pictures\VBA输出的图纸
发表于 2006-3-19 15:29:00 | 显示全部楼层

图呢?

有可能的话把你的测试代码贴上

 楼主| 发表于 2006-3-19 21:09:00 | 显示全部楼层

采用VBA输出的图纸,为什么尺寸界线在折线段上时会节节升高,数个垂直线的尺寸界线会集中到一起?

操作错误,上午忘了贴图,惭愧,请版主谅解

C:\Documents and Settings\Administrator\My Documents\My Pictures\VBA输出的图纸.gif

下边是部分代码,显示尺寸界线节节升高的部分和集中的部分(左侧),需要怎么做才能控制尺寸界线的长度(或高度):

    kEndPoint(0) = 0
    kEndPoint(1) = 0
    kEndPoint(2) = 0
   
    location(0) = 50
    location(1) = 10
    location(2) = 0
 

    For i = 0 To Dot.Lowest
       cStartPoint(0) = cEndPoint(0)
       cStartPoint(1) = cEndPoint(1)
       cStartPoint(2) = cEndPoint(2)
       cEndPoint(0) = XLen(i) + cStartPoint(0)
       cEndPoint(1) = cStartPoint(1) - bData(i)
       cEndPoint(2) = 0
       Set lineObj = ThisDrawing.ModelSpace.AddLine(cStartPoint, cEndPoint)
       Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(cStartPoint, cEndPoint, location)
       If i > 0 Then
          kEndPoint(0) = cStartPoint(0)
          kEndPoint(1) = cStartPoint(1) - kData(i - 1)
          kEndPoint(2) = 0
          Set lineObj = ThisDrawing.ModelSpace.AddLine(cStartPoint, kEndPoint)
          Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(cStartPoint, kEndPoint, location)
       End If
   Next

发表于 2006-3-19 21:18:00 | 显示全部楼层
AddDimAligned的第三个参数是文字位置的三维WCS坐标,你怎么循环里都一样的?
发表于 2006-9-8 21:26:00 | 显示全部楼层
查清了吧,循环出了问题?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 22:46 , Processed in 0.228541 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表